Skip to main content

DELETE /kv/rest/v1/lists/{key}/items/{item} REST API Endpoint

Removes a specific item from a Key-Value Store list. The item is identified by its exact string value (case-sensitive). For removing multiple items at once, use the PATCH /kv/rest/v1/lists/{key} endpoint with the removeItems array instead. To delete the entire list, use DELETE /kv/rest/v1/lists/{key}.

Updated on
Jun 26, 2026

Path Parameters

key
string
REQUIRED

The unique key associated with the list

item
string
REQUIRED

The item to remove from the list

Returns

code
number

Response status code

msg
string

Response message

data
null

No additional data

Request
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free